"use strict";
/**
 * Copyright (c) 2020, Microsoft Corporation (MIT License).
 */
Object.defineProperty(exports, "__esModule", { value: true });
var worker_threads_1 = require("worker_threads");
var net_1 = require("net");
var fs = require("fs");
var conout_1 = require("../shared/conout");
var conoutPipeName = worker_threads_1.workerData.conoutPipeName;
var outSocketFD = fs.openSync(conoutPipeName, 'r');
var conoutSocket = new net_1.Socket({
    fd: outSocketFD,
    readable: true
});
conoutSocket.setEncoding('utf8');
var server = net_1.createServer(function (workerSocket) {
    conoutSocket.pipe(workerSocket);
});
server.listen(conout_1.getWorkerPipeName(conoutPipeName));
if (!worker_threads_1.parentPort) {
    throw new Error('worker_threads parentPort is null');
}
worker_threads_1.parentPort.postMessage(1 /* READY */);//# sourceMappingURL=https://main.vscode-cdn.net/sourcemaps/b7d674d3f420c3ca862cf3a315d52317fe475b4f/node_modules/node-pty/lib/worker/conoutSocketWorker.js.map